#
# spec file for package ldapcpplib (Version 0.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl cyrus-sasl-devel doxygen gpp libgpp openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl cyrus-sasl-devel db devs diffutils doxygen e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ldapcpplib
Copyright:    Copyright 2000 The OpenLDAP Foundation
Group:        System Environment/Libraries
Provides:     ldapcpp
#Conflicts:    
Autoreqprov:  on
Summary:      C++ API for LDAPv3
Version:      0.0.1
Release:      147
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root
%prep
%setup -n %{name}-%{version} 
%patch

%build
export CFLAGS=-O2
%{?suse_update_config:%{suse_update_config -l -f build}}
libtoolize --force
aclocal
autoconf
./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc \
	--enable-shared --with-libldap=/usr/lib --with-ldap-includes=/usr/include
make
rm -rf srcdoc/CVS
doxygen doxygen.rc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
ldconfig -vn $RPM_BUILD_ROOT/usr/lib

%post

%postun

%files
/usr/lib/libldapcpp.la
/usr/lib/libldapcpp.so
/usr/lib/libldapcpp.a
/usr/lib/libldapcpp.so.0
/usr/lib/libldapcpp.so.0.0.1
%doc LICENSE README INSTALL COPYRIGHT srcdoc
/usr/include/LDAPAsynConnection.h
/usr/include/LDAPAttribute.h
/usr/include/LDAPAttributeList.h
/usr/include/LDAPConnection.h
/usr/include/LDAPConstraints.h
/usr/include/LDAPControl.h
/usr/include/LDAPControlSet.h
/usr/include/LDAPEntry.h
/usr/include/LDAPEntryList.h
/usr/include/LDAPException.h
/usr/include/LDAPExtResult.h
/usr/include/LDAPMessage.h
/usr/include/LDAPMessageQueue.h
/usr/include/LDAPModification.h
/usr/include/LDAPModList.h
/usr/include/LDAPRebind.h
/usr/include/LDAPRebindAuth.h
/usr/include/LDAPReferralException.h
/usr/include/LDAPReferenceList.h
/usr/include/LDAPResult.h
/usr/include/LDAPSearchReference.h
/usr/include/LDAPSearchResult.h
/usr/include/LDAPSearchResults.h
/usr/include/LDAPUrl.h
/usr/include/LDAPUrlList.h
/usr/include/StringList.h

%description -n ldapcpplib
C++ API for LDAPv3
Documentation at /usr/share/doc/packages/ldapcpplib/srcdoc

Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>

SuSE series: n


%changelog -n ldapcpplib
* Tue Jun 12 2001 - rhafer@suse.de
- added openssl-devel to needforbuild
- some changes in configure.in to make it work with new autoconf
- added libtoolize, aclocal calls to SPEC file
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Feb 28 2001 - rhafer@suse.de
- disabled generation of RTF docs
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Mon Feb 26 2001 - rhafer@suse.de
- Included the lastest bugfixes and the diff of schwab@suse.de
  in the source tgz
* Mon Jan 22 2001 - schwab@suse.de
- Fix visibility violations.
* Fri Jan 05 2001 - rhafer@suse.de
- first version of the ldapcpplib package
